/*声明*/
int [][] a;
int[] b[];
int c[][];
int[][] d;

/*分配空间*/
a=new int[2][3];  //2 行 3 列

/*下面代码只分配了 3 行，没有分配列，此时 b 是一维数组，
 *其长度为 3 ，而 b 的每个元素又是一维数组，其空间还未分配。
 */
b=new int[3][];   
/*下面代码为 b 的每个元素分配空间 */
b[0]=new int[3];  //或 b[0]=new int []{1,2,3},或 b[0]={1,2,3}
b[1]=new int[2];
b[2]=new int[1];

/*初始化*/
for(int i=0;i<a.length;i++){
	for(int j=0;j<a[i].length;j++){
		a[i][j]=i+j;
	}
}

for(int i=0;i<b.length;i++){
	for(int j=0;j<b[i].length;j++){
		b[i][j]=i+j;
	}
}

/*静态初始化，分配空间与赋初值同时完成*/
c={{1,2},{5}};

/*动态分配空间与赋初值同时完成*/
d=new int[][]{{1,2},{0},{3,4}};
